#ifndef __LINKEDLIST__
#define __LINKEDLIST__

#include <stdio.h>
#include <stdlib.h>

typedef struct ListNodeType
{
	int data;
	struct ListNodeType* pLink;
}ListNode;

typedef struct LinkedListType
{
	int curElementCnt;
	ListNode headerNode;
}LinkedList;


LinkedList* createLinkedList();
int addLLElement(LinkedList* pList, int position, ListNode element);
int removeLLElement(LinkedList* pList, int position);
ListNode* getLLElement(LinkedList* pList, int position);

void clearLinkedList(LinkedList* pList);
int getLinkedListLength(LinkedList* pList);
void deleteLinkedList(LinkedList* pList);
void displayLinkedList(LinkedList* pList);

#endif


#ifndef __COMMON_LIST_DEF__
#define __COMMON_LIST_DEF__

#define TRUE	1
#define FALSE	0 

#endif